MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022877Open CASCADE[OCCT] OCCT:VISpublic2011-12-23 18:162017-10-05 14:42
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022877: Draw Harness - add plugin for VIS component
DescriptionIt is necessary to provide a DRAW plugin library (IVtkTest) with set of commands for initializing the VTK 3D view, basic interactive operations - zoom, rotate, pan, selection, displaying/erasing shapes using VIS component API).

Its sources should be put into VIS component SVN.
Additional information
and documentation updates
VIS source files were moved from samples/vtk to src and now VIS compiles with WOK under Windows and Linux.
New DRAW plugin were added for VIS testing (TKIVtkDraw).

List of added packages:

==========================================
IVtk package:

IVtk_Interface.hxx
IVtk_Interface.cxx
IVtk_IShape.hxx
IVtk_IShape.cxx
IVtk_IShapeData.hxx
IVtk_IShapeData.cxx
IVtk_IShapeMesher.hxx
IVtk_IShapeMesher.cxx
IVtk_IShapePickerAlgo.hxx
IVtk_IShapePickerAlgo.cxx
IVtk_IView.hxx
IVtk_IView.cxx
IVtk_Types.hxx

==========================================
IVtkOCC package:

IVtkOCC.hxx
IVtkOCC_SelectableObject.hxx
IVtkOCC_SelectableObject.cxx
IVtkOCC_Shape.hxx
IVtkOCC_Shape.cxx
IVtkOCC_ShapeMesher.hxx
IVtkOCC_ShapeMesher.cxx
IVtkOCC_ShapePickerAlgo.hxx
IVtkOCC_ShapePickerAlgo.cxx
IVtkOCC_ViewerSelector.hxx
IVtkOCC_ViewerSelector.cxx

==========================================
IVtkVTK package:

IVtkVTK_ShapeData.hxx
IVtkVTK_ShapeData.cxx
IVtkVTK_View.hxx
IVtkVTK_View.cxx

==========================================
IVtkTools package:

IVtkTools.hxx
IVtkTools.cxx
IVtkTools_DisplayModeFilter.hxx
IVtkTools_DisplayModeFilter.cxx
IVtkTools_ShapeDataSource.hxx
IVtkTools_ShapeDataSource.cxx
IVtkTools_ShapeObject.hxx
IVtkTools_ShapeObject.cxx
IVtkTools_ShapePicker.hxx
IVtkTools_ShapePicker.cxx
IVtkTools_SubPolyDataFilter.hxx
IVtkTools_SubPolyDataFilter.cxx

==========================================
IVtkDraw package:

IVtkDraw.hxx
IVtkDraw.cxx
IVtkDraw_HighlightAndSelectionPipeline.hxx
IVtkDraw_HighlightAndSelectionPipeline.cxx
IVtkDraw_Interactor.hxx
IVtkDraw_Interactor.cxx

================================================================================

To compile VIS with WOK it's necessary to modify following files in WOK installation directory:

WOK/lib/CSF.edl:

add variables

  @set %CSF_VTK_INCLUDES = "";
  @set %CSF_VTK = "";

WOK/lib/CSF_WNT.edl:

add strings

  @string %CSF_VTK_INCLUDES = " ";
  @string %CSF_VTK = "vtkCommon.lib vtkRendering.lib vtkFiltering.lib vtkGraphics.lib";

WOK/lib/CSF_LIN.edl:

add string

  @set %CSF_VTK = "-lvtkRendering -lvtkCommon -lvtkFiltering -lvtkGraphics";


WOK/site/custom.bat (or use GUI tool for customizing environment) : add path to VTK dir

===============================================================================

New DRAW commands were added:

ivtkinit - creates 3D viewer window
ivtkdisplay - displays named objects
ivtkerase - erases named or all displayed objects
ivtkfit - automatic zoom/panning
ivtksetdispmode - sets display mode for named or all displayed objects
ivtksetselmode - sets selection mode for named or all displayed objects
ivtkmoveto - imitates mouse move to input point
ivtkselect - imitates selection in input point

TagsNo tags attached.
Test case number
Attached Filesdoc file icon products_UserGuides_DOC_vis.doc (283,136 bytes) 2012-06-07 19:54
doc file icon products_UserGuides_DOC_vis_SSV.doc (404,480 bytes) 2012-07-16 11:13
doc file icon products_UserGuides_DOC_vis_ABA.doc (501,248 bytes) 2014-09-12 19:51

- Relationships
related to 0023495closedssv Open CASCADE Transformation problem: Shape Picker works on initial data set 
related to 0024904closedbugmaster Open CASCADE Visualization - Integration of VIS component 
parent of 0029187assignedapn Open CASCADE VIS - TKIVtkDraw should support Cocoa on macOS 
related to 0022859closedbugmaster Open CASCADE Developers guide with code samples 
related to 0023390newsan Open CASCADE Finalize VIS sample application 
related to 0023496closedaba Open CASCADE Selection blinking in Draw suite for VIS 
related to 0022618assignedsan Open CASCADE Visualization - Tool for building generic wireframe representation of a face 
related to 0024993closedbugmaster Open CASCADE Adding VTK support to WOK 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0020665)
aaa (developer)
2012-06-07 19:58

File products_UserGuides_DOC_vis.doc added
(0020666)
aaa (developer)
2012-06-07 20:00

Branch CR22877 in occt-products repository is ready for reviewing
(0020979)
ssv (developer)
2012-07-16 10:54

1. I have slightly modified the text in the attached user's guide in a hope to make it a bit more clear. Please find the adjusted text in another attachment.

2. Usage of VTK smart pointers seems to be not always correct. E.g. you define a type shortcut PRenderer for vtkSmartPointer<vtkRenderer> and then allocate it like this:

PRenderer aRenderer = vtkRenderer::New();

However, the correct version will be:

PRenderer aRenderer = PRenderer::New();

Please find details in http://www.vtk.org/Wiki/VTK/Tutorials/SmartPointers. [^] This concerns almost all other VTK types used in IVtkDraw (vtkRenderWindow, filters etc).

3. I've got a compilation problem in IVtkDraw_Interactor::Enable method on my x64-SEVEN workstation. This is due to the following invocation:

SetWindowLong(this->WindowId, GWL_WNDPROC, (LONG)WndProc);

MSDN states that this function is obsolete and recommends to change it with the following:

SetWindowLongPtr(this->WindowId, GWLP_WNDPROC, (LONG_PTR)WndProc);

4. VERTEX selection mode does not work. This can be reproduced by the following simple script:

ivtkinit
box a 1 1 1
ivtkdisplay a
ivtksetselmode 1 1

This happens because Highlight and Selection DisplayModeFilter instances ignore VTK cells with "Free Vertex" type. As I see, this behavior is configured by calling the corresponding SetDisplaySharedVertices method of IVtkTools_DisplayModeFilter class. I have slightly adjusted VtkSetSelectionMode command to take it into accout.

On the whole, new IVtkDraw package looks quite well from my opinion.

Dear Sergey (SAN),

I have modified IVtkDraw sources according to the mentioned remarks. However, I think that it is worth finalizing the user's guide still.
(0020990)
ssv (developer)
2012-07-16 16:06

Another remark to proceed: it seems that VIS component is not protected by OCC License yet.
(0020997)
ssv (developer)
2012-07-16 20:13

I have got more remarks to the sources of IVtkDraw package:

1. Finally, I think it is a bad idea to mix up the usage of VTK smart pointers with raw pointers. As official documentation says, the assignment of a raw pointer to the correspondent smart pointer object does not transfer the ownership to that smart pointer object correctly. That is why the code like

PActor anActor = anActorCollection->GetNextActor();

does not make sense. It only introduces additional unnecessary conversions from raw pointer type to the smart one (PActor is a type definition for vtkSmartPointer<vtkActor>). In order to prevent such a mess I would propose to avoid such type definitions at all. E.g. in the mentioned case it will be

vtkActor* anActor = anActorCollection->GetNextActor();

2. Consider the following case:

box a 1 1 1
psphere b 1
vtkinit
vtkdisplay a
vtkdisplay b
vtksetselmode a 1 1
vtksetselmode b 1 1

This script creates two primitive solids and sets selection mode to VERTEX for both. Now execute the following command:

vtksetselmode b 1 0

This will lead to un-setting the VERTEX selection mode not only for shape "b" but also for shape "a". This issue is caused by the fact that both "a" and "b" presentations utilize the same visualization pipeline and have the same highlight/selection Display Mode filter instance. The latter instance is in-turn responsible
for displaying shared vertices. If we switch off the Free Vertex visibility for "b", the same thing will obviously happen to "a". I would propose not to use such shared pipelines at all.

Instead we can allocate as many pipelines as many shapes we have. This approach will resolve the issue with VERTEX selection mode. Moreover, it will simplify the pipeline's architecture to the minimal required. It will be possible to move the visualization code from IVtkDraw::CreateActor to more suitable place -- the pipeline itself. Finally, I think that having one-to-one correspondence between pipelines and shapes is more natural, less error-prone (as less filtering is going to applied) and easy to maintain.
(0021278)
san (developer)
2012-08-18 14:50

The final reviewed versions of VIS User's Guide and VIS DRAW User's Guide can be found in CR22877 branch of occt-doc.git repository.
(0021279)
san (developer)
2012-08-18 15:01
edited on: 2012-08-18 15:01

For VIS sample application and OCCLicense there are now separate Mantis issues 0023390 and #23391.

(0021305)
san (developer)
2012-08-21 16:40

The final set of changes related to correction of 0022901 and #23302 is ready in branch CR22877.

Possibility to run VIS tests in offscreen mode using DRAWEXE -v is not yet implemented, see #23396.

Dear bugmaster,

Could you please create a set of tests covering the following VIS capabilities:

- Initializing and closing VTK view
- Displaying and erasing OCCT shapes
- Setting display modes for displayed shapes
- Activating and deactivating selection modes for displayed shapes and checking selection results

Then, the tests can be run in "windowed" mode, or at least this is worth trying.
(0021310)
san (developer)
2012-08-22 19:03

Here are the instructions how to build VTK on all supported platforms.

1. Download and/or build cmake utility: http://www.cmake.org/cmake/resources/software.html [^]

2. Download the latest VTK sources: http://www.vtk.org/VTK/resources/software.html#latest [^]

3. Create a separate build directory and run:
- cmake-gui under Windows
- ccmake under Linux

4. Specify the VTK source and build directories in the configuration window, then "Configure".
Under Windows, you will be asked to choose VC++ compiler version to be used among the available ones.

5. Switch to "Advanced" view. Leave most configuration options in default state, paying attention to the following ones:

BUILD_DOCUMENTATION: OFF

BUILD_EXAMPLES: OFF

BUILD_SHARED_LIBS: ON

BUILD_TESTING: OFF

CMAKE_CONFIGURATION_TYPES: Debug;Release

CMAKE_INSTALL_PREFIX: <dir_where_to_install_VTK>

FREETYPE_INCLUDE_DIR_freetype2:
FREETYPE_INCLUDE_DIR_ft2build:
FREETYPE_LIBRARY:
Make sure these variables refer to the same FreeType installation as the one used for building OCCT

GL2PS_INCLUDE_DIR:
GL2PS_LIBRARY:
Make sure these variables refer to the same gl2ps installation as the one used for building OCCT

VTK_USE_64BIT_IDS: ON <- for 64-bit platforms

VTK_USE_FFMPEG_ENCODER: OFF

VTK_USE_GEOVIS: OFF

VTK_USE_GL2PS: ON

VTK_USE_GUISUPPORT: OFF

VTK_USE_OFFSCREEN: OFF

VTK_USE_PARALLEL: ON

VTK_USE_RENDERING: ON

VTK_USE_SYSTEM_FREETYPE: ON

VTK_USE_SYSTEM_GL2PS: ON

VTK_WRAP_JAVA: OFF

VTK_WRAP_PYTHON: OFF

VTK_WRAP_PYTHON_SIP: OFF

VTK_WRAP_TCL: OFF

6. "Configure", then "Generate" (if no errors appear), otherwise correct the errors and "Configure"/"Generate" again.

7. After successful generation of VC++ project files under Windows or Makefiles under Linux simply run the corresponding build tool. No environment script is required, as cmake puts all necessary absolute paths into the projects/Makefiles.

8. NOTE: cmake installs Debug and Release binaries to the same directory, so you might need to rename the binary dir in order to prevent the installed binaries form being overwritten.
After installing VTK in Debug configuration under Windows, you might need to copy VTK .pdb files to the binary installation directory from the build directory manually, sometimes this is not done automatically.
(0022115)
san (developer)
2012-11-06 20:49

Dear bugmaster,

GIT branch CR22877_1 has been created in the products repository, it includes the changes from outdated CR22877 but it is based on the current master HEAD. This branch also includes correction for 0023495.
It is ready for testing now, even if offscreen rendering is not yet implemented by IVtkDraw.

I kindly ask you to force testing of VIS component, otherwise in some weeks we will have once again to waste time on rebasing.
(0027863)
san (developer)
2014-02-12 17:10

Current sources ported on OCCT 6.7.0 under Windows canb e found in CR22877_1 branch in occt-products.
(0027865)
san (developer)
2014-02-12 17:44

TODO:

1. Build VTK 5.10.1
2. Update WOK 6.7.0 to support VTK as optional OCCT prerequisite (see how OpenCL integration is done, for example)
3. Prepare VIS sources in a branch in OCCT Git, finalize migration to current OCCT development version under Linux.
4. Implement ivtkdump command + support of "virtual window" DRAW mode (offscreen rendering)
5. Correct most critical bugs.
6. Analayze and improve VIS performance
(0028651)
aba (developer)
2014-04-03 12:36
edited on: 2014-04-25 16:40

Dear san,

the first version of VIS in OCC is ready for review:
- in OCC repository the branch CR22877_1,
- in WOK repository the branch CR22877_1.

(0029080)
aba (developer)
2014-04-25 16:39

Dear kgv,

Could you please review the branch CR22877_1 in the WOK repository?
(0029742)
aba (developer)
2014-06-09 12:35

The git branch CR22877_2 was added.

The branch consists of :
- TKIvkDraw toolkit, that provides VTK windows in OCC and tcl test commands
- test cases
(0029743)
aba (developer)
2014-06-09 12:37

The branch CR22877_2 is to be tested and integrated only after patch for 0024904 is integrated.
(0029745)
aba (developer)
2014-06-09 12:41

Dear san,

please review the branch CR22877_2.
(0030032)
aba (developer)
2014-07-09 14:42

The patch was updated, rebased on current master, and pushed in CR22877_3.
(0030100)
kgv (developer)
2014-07-12 21:52

Dear Anastasia,

please consider the following remarks:

+static Standard_Boolean IsEqual (const TopoDS_Shape theLeft,
+                                 const TopoDS_Shape theRight)

Please create hasher structure instead. Handles should be passed by reference.

+#define _WIN32_WINNT 0x0400  // for trackmouseevent support  requires Win95 with IE 3.0 or greater.

+
+#ifdef WNT
+#include <windows.h>

Please use proper macros - _WIN32 for Windows, WNT is deprecated. Move _WIN32_WINNT to #ifdef _WIN32 block.

+static Handle(ShapePipelineMap) GetPipelines()
+{
+  static Handle(ShapePipelineMap) aPLMap;

static const Handle(ShapePipelineMap)& GetPipelines().

+static Handle(PipelinePtr) GetPipeline (const IVtk_IdType& theShapeID)
+{
+  Handle(ShapePipelineMap) aPLMap = GetPipelines();
+
+  if ( !aPLMap->IsBound(theShapeID) )
+  {
+    return NULL;
+  }
+
+  return aPLMap->Find (theShapeID);

Handle(PipelinePtr) aPtr;
GetPipelines()->Find (theShapeID, aPtr);
return aPtr;

+Standard_Integer GenerateId()
+{
+  static int shapesCounter = 0;
+  return shapesCounter++;
+}

static unsigned int shapesCounter = (unsigned int )-1;
return (Standard_Integer )++shapesCounter;

+  vtkActor* anActor;

Please avoid using uninitialized variables.

+    Standard_Integer aMode = atoi(theArgs[2]);

Here and in other places - please use Draw::Atoi() instead.

+    if (strcasecmp (aBufferTypeStr, "rgb") == 0)

Please use TCollection_AsciiString for strings comparison.

+  }
+    else if (aFormat.IsEqual ("pnm"))
+  {
+    anImageWriter = vtkSmartPointer<vtkPNMWriter>::New();
+  }

Indentation.


+void IVtkDraw::Commands (Draw_Interpretor& theCommands)
+{
+ const char *group = "VtkViewer";
+ theCommands.Add("ivtkinit",

No isFirst protection.


+// Created on: 2012-02-03
+//
+// Copyright (c) 2011-2014 OPEN CASCADE SAS

Inconsistent dates.

+#ifndef _Standard_HeaderFile
+#include <Standard.hxx>
+#endif
+#ifndef _Standard_Macro_HeaderFile
+#include <Standard_Macro.hxx>
+#endif

Please remove redundant ifdefs.

+class IVtkDraw
+{
+public:
+
+  void* operator new (size_t, void* theAddress)
+  {
+    return theAddress;
+  }
+
+  void* operator new (size_t theSize)
+  {
+    return Standard::Allocate (theSize);
+  }
+
+  void  operator delete (void* theAddress)
+  {
+    if (theAddress) Standard::Free((Standard_Address&) theAddress);
+  }

Please use DEFINE_STANDARD_ALLOC instead.

+  for (ShapePipelineMap::Iterator anIt (*theMap.operator->()); anIt.More(); anIt.Next())

*theMap is enough.

+  Handle(Aspect_Window) GetOCCWindow() const;

const reference.

+Standard_Boolean IVtkDraw_Interactor::IsEnabled()

const method.

+  anInteractor = (IVtkDraw_Interactor *)GetWindowLong (theHWnd, GWLP_USERDATA);

GetWindowLongPtr

reinterpret_cast<XConfigureEvent *>(&anEvent)

Please access union XEvent options without casts - like anEvent.xconfigure.

+#ifdef WNT
+  HWND               WindowId;
+  Standard_Integer   MouseInWindow;
+#else
+  Window           WindowId;
+  Display          *DisplayId;
+  Standard_Boolean isLeftButtonPressed;
+#endif

Class IVtkDraw_Interactor fields are not initialized within constructor.
(0030161)
aba (developer)
2014-07-15 14:44

The branch CR22877_3 was updated according to last remarks.
(0030163)
git (administrator)
2014-07-15 15:10

Branch CR22877_3 has been updated forcibly by aba.

SHA-1: 17a884e69c5af4895e91965d2b98f92cb564f301
(0030165)
git (administrator)
2014-07-15 15:11

Branch CR22877_3 has been updated forcibly by aba.

SHA-1: 6c1a487ffc400660d3da23f7a95ae2eddffe0e85
(0030166)
git (administrator)
2014-07-15 15:17

Branch CR22877_3 has been updated forcibly by aba.

SHA-1: d35e2b22423cec23880c0b309d84b8056db00a7c
(0030246)
san (developer)
2014-07-18 14:55
edited on: 2014-07-18 14:55

To be migrated to VTK 6.1.0 - see 0024904:0030245.

(0030362)
git (administrator)
2014-07-22 16:24

Branch CR22877 has been deleted by inv.

SHA-1: b4e0791f66774c45bfe5ff43ea85852313b97bd9
(0030368)
git (administrator)
2014-07-22 17:04

Branch CR22877 has been created by inv.

SHA-1: b4e0791f66774c45bfe5ff43ea85852313b97bd9
(0030920)
git (administrator)
2014-08-20 11:59

Branch CR22877_3 has been updated forcibly by aba.

SHA-1: 6035de136e26ab79b99573af2189d3c502dd5787
(0030923)
aba (developer)
2014-08-20 12:03

The patch was ported to VTK 6.1.0 and rebased on current master.

Dear san,

could you please review the branch CR22877_3?
(0031042)
kgv (developer)
2014-08-22 17:01

Dear bugmaster,

please test all patches related to integration of VIS component (component itself, Draw plugin / tests, patch for WOK introducing new dependency).
(0031167)
git (administrator)
2014-08-28 17:56

Branch CR22877_3 has been updated forcibly by aba.

SHA-1: 20a2746fadb48eada137dbcfc88e74f6f72ca773
(0031168)
git (administrator)
2014-08-28 18:00

Branch CR22877_3 has been updated forcibly by aba.

SHA-1: 73759dc1f5c63c66ef7dccfd2cfc4465ec2660bb
(0031323)
git (administrator)
2014-09-03 17:49

Branch CR22877_3 has been updated by aba.

SHA-1: a4ccd7fefb450cd4132b476b40d5076eb052830f


Detailed log of new commits:

Author: aba
Date: Wed Sep 3 17:37:52 2014 +0400

    ivtkdump virtual mode correction.

(0031328)
git (administrator)
2014-09-03 19:28

Branch CR22877_3 has been updated forcibly by aba.

SHA-1: 98beda210bcc7664e2d27e333a3b9300992a64db
(0031343)
git (administrator)
2014-09-04 10:52

Branch CR22877_3 has been updated forcibly by aba.

SHA-1: 40db411a9ba6d23781518f1e798401318def80e6
(0031425)
git (administrator)
2014-09-05 17:19

Branch CR22877_3 has been updated by aba.

SHA-1: 1e6b22661988435828a3198d477798b430c532de


Detailed log of new commits:

Author: aba
Date: Fri Sep 5 17:19:14 2014 +0400

    Corrected offscreen rendering mode.

(0031443)
git (administrator)
2014-09-08 14:05

Branch CR22877_3 has been updated by aba.

SHA-1: e7aec4dd17bec70baeee5a553f84dddb91242d3f


Detailed log of new commits:

Author: aba
Date: Mon Sep 8 14:04:02 2014 +0400

    Moved vinit command from /v3d/begin script to avoid unused occ view in ivtk tests.

(0031689)
aba (developer)
2014-09-12 19:56

Dear ssv,

Due to VIS integration on OCC, documentation for VIS is to be provided.

I have updated attached documentation in track mode and upload it in products_UserGuides_DOC_vis_ABA.doc.

Could you please revise it and provide remarks if any?
(0032380)
git (administrator)
2014-09-30 11:34

Branch CR22877 has been deleted by inv.

SHA-1: b4e0791f66774c45bfe5ff43ea85852313b97bd9
(0032381)
git (administrator)
2014-09-30 11:34

Branch CR22877_1 has been deleted by inv.

SHA-1: 3f1d4615aef99dee30faa0cfea8f5f43c9bb2f09
(0032382)
git (administrator)
2014-09-30 11:34

Branch CR22877_2 has been deleted by inv.

SHA-1: 9852260e242e92efeeadbd21eee6ccc8e5f175c6
(0032383)
git (administrator)
2014-09-30 11:34

Branch CR22877_3 has been deleted by inv.

SHA-1: e7aec4dd17bec70baeee5a553f84dddb91242d3f

- Related Changesets
occt: master 52f99d93
Timestamp: 2014-09-11 09:37:09
Author: aba
Committer: bugmaster
Details ] Diff ]
0022877: Implementation of DRAW commands for non-regression testing:

- TKIVtkDraw toolkit provides IVtk packages functionality in DRAW.

- it allows to create VTK interactive view in regular or virtual mode (virtual windows),
  display OCC objects and dump them.

- TKIVtkDraw provides also test commands: ivtlinit, ivtkdisplay, ivtkerase, ivtksetdispmode,
   ivtksetselmode, ivtkmoveto, ivtkselect, ivtkfit, ivtkdump, ivtkbgcolor.

Corrected offscreen rendering mode.

Moved vinit command from /v3d/begin script to avoid unused occ view in ivtk tests.
mod - adm/UDLIST Diff ] File ]
mod - src/DrawResources/DrawPlugin Diff ] File ]
add - src/IVtkDraw/EXTERNLIB Diff ] File ]
add - src/IVtkDraw/FILES Diff ] File ]
add - src/IVtkDraw/IVtkDraw.cxx Diff ] File ]
add - src/IVtkDraw/IVtkDraw.hxx Diff ] File ]
add - src/IVtkDraw/IVtkDraw_HighlightAndSelectionPipeline.cxx Diff ] File ]
add - src/IVtkDraw/IVtkDraw_HighlightAndSelectionPipeline.hxx Diff ] File ]
add - src/IVtkDraw/IVtkDraw_Interactor.cxx Diff ] File ]
add - src/IVtkDraw/IVtkDraw_Interactor.hxx Diff ] File ]
mod - src/OS/Draw.tcl Diff ] File ]
add - src/TKIVtkDraw/EXTERNLIB Diff ] File ]
add - src/TKIVtkDraw/FILES Diff ] File ]
add - src/TKIVtkDraw/PACKAGES Diff ] File ]
mod - tests/v3d/begin Diff ] File ]
mod - tests/v3d/edge/begin Diff ] File ]
mod - tests/v3d/edge_face/begin Diff ] File ]
mod - tests/v3d/edge_solid/begin Diff ] File ]
mod - tests/v3d/end Diff ] File ]
mod - tests/v3d/face/begin Diff ] File ]
add - tests/v3d/glsl/begin Diff ] File ]
mod - tests/v3d/grids.list Diff ] File ]
add - tests/v3d/ivtk/begin Diff ] File ]
add - tests/v3d/ivtk/bgcolor Diff ] File ]
add - tests/v3d/ivtk/detect Diff ] File ]
add - tests/v3d/ivtk/display_mode Diff ] File ]
add - tests/v3d/ivtk/erase Diff ] File ]
add - tests/v3d/ivtk/select Diff ] File ]
add - tests/v3d/ivtk/selection_mode Diff ] File ]
add - tests/v3d/materials/begin Diff ] File ]
add - tests/v3d/raytrace/begin Diff ] File ]
mod - tests/v3d/vertex/begin Diff ] File ]
mod - tests/v3d/vertex_edge/begin Diff ] File ]
mod - tests/v3d/vertex_face/begin Diff ] File ]
mod - tests/v3d/vertex_solid/begin Diff ] File ]
mod - tests/v3d/vertex_wire/begin Diff ] File ]
add - tests/v3d/voxel/begin Diff ] File ]
mod - tests/v3d/wire/begin Diff ] File ]
mod - tests/v3d/wire_solid/begin Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-12-23 18:16 san New Issue
2011-12-23 18:16 san Assigned To => szv
2011-12-23 18:16 san Assigned To szv => aaa
2011-12-23 18:16 san Status new => assigned
2011-12-26 07:39 abv Project Open CASCADE => Internal
2012-06-07 19:54 aaa Additional Information Updated View Revisions
2012-06-07 19:54 aaa File Added: products_UserGuides_DOC_vis.doc
2012-06-07 19:58 aaa Note Added: 0020665
2012-06-07 20:00 aaa Note Added: 0020666
2012-06-07 20:00 aaa Assigned To aaa => san
2012-06-07 20:00 aaa Status assigned => resolved
2012-07-06 18:58 san Assigned To san => ssv
2012-07-16 10:53 ssv Assigned To ssv => san
2012-07-16 10:54 ssv Note Added: 0020979
2012-07-16 11:13 ssv File Added: products_UserGuides_DOC_vis_SSV.doc
2012-07-16 16:06 ssv Note Added: 0020990
2012-07-16 20:13 ssv Note Added: 0020997
2012-08-18 14:46 san Relationship added related to 0022859
2012-08-18 14:50 san Note Added: 0021278
2012-08-18 14:59 san Relationship added related to 0023391
2012-08-18 15:00 san Relationship added related to 0023390
2012-08-18 15:01 san Note Added: 0021279
2012-08-18 15:01 san Note Edited: 0021279 View Revisions
2012-08-21 16:19 san Relationship added related to 0023396
2012-08-21 16:40 san Note Added: 0021305
2012-08-21 16:40 san Assigned To san => bugmaster
2012-08-21 16:40 san Status resolved => reviewed
2012-08-21 17:21 mkv Assigned To bugmaster => mkv
2012-08-22 19:03 san Note Added: 0021310
2012-08-27 12:27 bugmaster Assigned To mkv => bugmaster
2012-10-21 17:20 abv Target Version => 6.6.0
2012-10-27 16:32 ssv Relationship added related to 0023496
2012-11-06 20:41 san Relationship added related to 0023495
2012-11-06 20:49 san Note Added: 0022115
2012-11-06 20:49 san Status reviewed => feedback
2013-04-15 14:44 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:21 abv Target Version 6.7.0 => 6.7.1
2014-02-12 17:09 san Assigned To bugmaster => aba
2014-02-12 17:09 san Status feedback => assigned
2014-02-12 17:10 san Note Added: 0027863
2014-02-12 17:44 san Note Added: 0027865
2014-02-13 11:21 kgv Relationship added related to 0022618
2014-04-03 12:36 aba Note Added: 0028651
2014-04-03 18:29 aba Note Edited: 0028651 View Revisions
2014-04-04 17:47 abv Target Version 6.7.1 => 6.8.0
2014-04-25 16:39 aba Note Added: 0029080
2014-04-25 16:39 aba Assigned To aba => kgv
2014-04-25 16:39 aba Status assigned => feedback
2014-04-25 16:40 aba Note Edited: 0028651 View Revisions
2014-05-06 18:18 san Relationship added related to 0024904
2014-06-09 12:35 aba Note Added: 0029742
2014-06-09 12:37 aba Note Added: 0029743
2014-06-09 12:40 aba Assigned To kgv => aba
2014-06-09 12:40 aba Status feedback => assigned
2014-06-09 12:41 aba Note Added: 0029745
2014-06-09 12:41 aba Assigned To aba => san
2014-06-09 12:41 aba Status assigned => resolved
2014-07-09 14:42 aba Note Added: 0030032
2014-07-09 15:03 kgv Summary Implementation of DRAW commands for non-regression testing => Draw Harness - add plugin for VIS component
2014-07-12 21:52 kgv Note Added: 0030100
2014-07-14 15:16 kgv Relationship added related to 0024993
2014-07-15 14:44 aba Note Added: 0030161
2014-07-15 15:10 git Note Added: 0030163
2014-07-15 15:11 git Note Added: 0030165
2014-07-15 15:17 git Note Added: 0030166
2014-07-18 14:55 san Note Added: 0030246
2014-07-18 14:55 san Assigned To san => aba
2014-07-18 14:55 san Status resolved => assigned
2014-07-18 14:55 san Note Edited: 0030246 View Revisions
2014-07-22 16:24 git Note Added: 0030362
2014-07-22 17:04 git Note Added: 0030368
2014-08-20 11:59 git Note Added: 0030920
2014-08-20 12:03 aba Note Added: 0030923
2014-08-20 12:03 aba Assigned To aba => san
2014-08-20 12:03 aba Status assigned => resolved
2014-08-22 17:01 kgv Note Added: 0031042
2014-08-22 17:01 kgv Assigned To san => bugmaster
2014-08-22 17:01 kgv Status resolved => reviewed
2014-08-28 17:56 git Note Added: 0031167
2014-08-28 18:00 git Note Added: 0031168
2014-09-03 17:49 git Note Added: 0031323
2014-09-03 19:28 git Note Added: 0031328
2014-09-04 10:52 git Note Added: 0031343
2014-09-05 17:19 git Note Added: 0031425
2014-09-08 14:05 git Note Added: 0031443
2014-09-11 13:33 bugmaster Status reviewed => tested
2014-09-12 19:51 aba File Added: products_UserGuides_DOC_vis_ABA.doc
2014-09-12 19:56 aba Note Added: 0031689
2014-09-12 19:56 aba Assigned To bugmaster => ssv
2014-09-12 19:56 aba Status tested => feedback
2014-09-15 11:14 bugmaster Changeset attached => occt master 52f99d93
2014-09-15 11:14 bugmaster Assigned To ssv => bugmaster
2014-09-15 11:14 bugmaster Status feedback => verified
2014-09-15 11:14 bugmaster Resolution open => fixed
2014-09-18 09:58 abv Category PRODUCTS:VIS => OCCT:VIS
2014-09-18 10:39 bugmaster Project Internal => Open CASCADE
2014-09-30 11:34 git Note Added: 0032380
2014-09-30 11:34 git Note Added: 0032381
2014-09-30 11:34 git Note Added: 0032382
2014-09-30 11:34 git Note Added: 0032383
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed
2017-10-05 14:42 kgv Relationship added parent of 0029187


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker